using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace individual
{
    public partial class Form2 : Form
    {
        Individual original, copy;

        public Form2()
        {
           InitializeComponent();
           Console.WriteLine("before new calls");
           original = new Individual(og.Width, og.Height);
           Console.WriteLine("after first new");
           copy = new Individual(original, tocopy.Width, tocopy.Height);
           Console.WriteLine("after second new");
           og.Image = original.TheImage;
           Console.WriteLine("after setting image og");
        }

        private void btnClick(object sender, EventArgs e)
        {
            Console.WriteLine("entering btnClick");
            tocopy.Image = copy.TheImage;
            Console.WriteLine("leaving btnClick");
        }
    }
}
